import { CoverageProvider, ReportContext, ResolvedCoverageOptions } from 'vitest';
import { Vitest } from 'vitest/node';

type Options = ResolvedCoverageOptions<'c8'> & {
    tempDirectory: string;
};
declare class C8CoverageProvider implements CoverageProvider {
    name: string;
    ctx: Vitest;
    options: Options;
    initialize(ctx: Vitest): void;
    resolveOptions(): Options;
    onBeforeFilesRun(): void;
    clean(clean?: boolean): Promise<void>;
    onAfterSuiteRun(): void;
    reportCoverage({ allTestsRun }?: ReportContext): Promise<void>;
}

declare function takeCoverage(): void;

declare function getProvider(): Promise<C8CoverageProvider>;

export { getProvider, takeCoverage };
